%undefine __libtoolize
%define objprelink 0

Name: kiowa
Version: 1.3.2
Release: alt4.1
Source0: %name-%version.tar.bz2
URL: http://kiowa.evilrealms.net
License: GPL
Group: Monitoring
Summary:  Kiowa is an Apache log analyser.
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>


# Automatically added by buildreq on Sun Jun 13 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 hostinfo kde-settings
BuildRequires: kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
Kiowa is an Apache log analyser written in C++, using the Qt/KDE toolkits. It displays logs in an easy-to-digest format, letting you choose how much or how little of the information you want to see, and is able to generate statistics for your Websites.
%prep
%setup -q
[ -f Makefile.use ] && make -f Makefile.use kde3

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--disable-rpath \
	--disable-debug \
	--disable-static \
	--enable-shared

%if %objprelink
%make CXX=g++prelink
%else
%make
%endif

%install
%make DESTDIR=%buildroot install

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Applications/Monitoring %buildroot%_datadir/applnk/Utilities/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README NEWS INSTALL AUTHORS COPYING VERSION
%_bindir/*
%_menudir/%name
%_datadir/applnk/Utilities/*.desktop
%_iconsdir/hicolor/16x16/apps/*.png
%_iconsdir/hicolor/32x32/apps/*.png
%_iconsdir/hicolor/48x48/apps/*.png
%_iconsdir/locolor/16x16/apps/*.png
%_iconsdir/locolor/32x32/apps/*.png
#%_iconsdir/*.png

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.2-alt4.1
- Rebuilt with libstdc++.so.6.

* Sun Jun 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.3.2-alt4
- fix requires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.3.2-alt3
- fix builrequires

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.3.2-alt2
- rebuildind without *.la

* Sun Mar 30 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.3.2-alt1
- 1.3.2

- specfile cleanup

